#ifndef __MERLIN_SIMWALK2__
#define __MERLIN_SIMWALK2__

#include "MerlinCore.h"
#include "KongAndCox.h"

#include <stdio.h>

class FamilyAnalysis;

// This class outputs non-parametric statistics in a format
// that Simwalk2 can use

class NPLforSimwalk2
   {
   public:
      NPLforSimwalk2(FamilyAnalysis & f) : family(f)
         { }

      void OpenFiles();
      void CloseFiles();
      void Output();
      void Skip();

   private:
      FamilyAnalysis & family;
      FILE * output;

      void OutputValue(double value);
   };

#endif

 
