#ifndef __TREENODE_H__
#define __TREENODE_H__

#define TREE_NODE_ZERO      0
#define TREE_NODE_LEAF      1
#define TREE_NODE_ONE       2
#define TREE_NODE_TWO       3
#define TREE_NODE_INT_VALUE 4

#define PAIR_NODES(a, b)   (((a) << 2) + (b))

struct TreeNode
   {
   int type;
   union
      {
      double value;
      int    child[2];
      int    integer;
      void * info;
      };
   };

#endif


