#include "Unknown.h"

MissingAllele * SetOfUnknowns::GetMissing(const ::String & name)
   {
   int index = Find(name, create_missing);
   return (MissingAllele *) objects[index];
   }

AlleleGraph * SetOfUnknowns::GetGraph(const ::String & name)
   {
   int index = Find(name, create_graph);
   return (AlleleGraph *) objects[index];
   }

void * SetOfUnknowns::create_missing()
   {
   return new MissingAllele;
   }

void * SetOfUnknowns::create_graph()
   {
   return new AlleleGraph;
   }

SetOfUnknowns::~SetOfUnknowns()
   {
   for (int i = 0; i < Length(); i++)
      delete (Unknown *) objects[i];
   }



