#ifndef __FASTASSOCIATION_H__
#define __FASTASSOCIATION_H__

#include "AssociationAnalysis.h"

class FastAssociationAnalysis : protected AssociationAnalysis
   {
   public:
      void AnalyseAssociation(FamilyAnalysis & engine);

      virtual ~FastAssociationAnalysis() {}

      static double fastFilter;

      static void OutputFastModels(const String & prefix, Pedigree & ped);

   private:
      // This variable is static so it can be updated across chromosomes
      static RefinedQtlModel refinedFastModels;
   };

#endif

